<?php
namespace TriNetAssess;

// NOTE: the README did not specify that Bundles required the same
// functionality regaurding its apps as Company (such as adding apps,
// preventing duplicates, calculating cost, etc.) However, if this same
// functionality was required, I would create an AppSet class that would
// handle that and both Company and Bundle would inherit it.

class Bundle {
  public $apps;
  
  function __construct($id, $name, array $apps) {
      $this->id   = $id;
      $this->name = $name;
      $this->apps = $apps;
      // NOTE: not bothering with input checking - would normally be covered
      // by the OEM/model defintion/schema
  }
  
  // NOTE: I will not bother with all getters and setters
}